Skip to main content
POST
Place location-level Hold

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Body

application/json
location_id
integer<int64>
required

Target location.

Example:

6

reason_code
string
required

Hold reason code (system or user-defined).

Example:

"damaged"

qty
number<float> | null

Optional. When supplied it must be > 0 and equal to the location's full on-shelf qty; partial holds are not supported. When omitted, the whole location is held.

Example:

5

notes
string | null

Free-form notes.

Example:

"Damaged at receiving"

Response

Hold placed.

resource
Hold · object

An inventory hold record. Cross-merchant view (Global API surface).

Releasing a lot quarantine: release the lot with POST /holds/lot/{lot_id}/release. When holdLot was called with cascade_bom=true, add release_cascaded=true to release the related lots quarantined with it as well.